
class ButtonSprite extends Phaser.GameObjects.Sprite {
  constructor(scene: Phaser.Scene, x: number, y: number) {
    const texture = 'button_bg';
    super(scene, x, y, texture, 0);
    // this.setInteractive(true);
    scene.add.existing(this);
  }
}

export default ButtonSprite;